Name:           vdo
Version:        8.2.2.2
Release:        1
Summary:        Management tools for Virtual Data Optimizer
License:        GPLv2
URL:            http://github.com/dm-vdo/vdo
Source0:	https://github.com/dm-vdo/vdo/archive/refs/tags/%{version}.tar.gz
Patch0001:      0001-Add-loongarch64-support.patch
Patch0002:      0002-fix_dmeventd_linking.patch
Patch0003:      0003-RISC-V-support.patch

BuildRequires:  gcc libuuid-devel device-mapper-devel device-mapper-event-devel
BuildRequires:  valgrind-devel zlib-devel libblkid-devel
%{?systemd_requires}
Requires:       libuuid >= 2.23 kmod-kvdo >= 6.2 util-linux >= 2.32.1
Provides:       kvdo-kmod-common = %{version}

%define __requires_exclude perl

%description
Virtual Data Optimizer (VDO) is a device mapper target that delivers
block-level deduplication, compression, and thin provisioning.
This package provides the user-space management tools for VDO.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build

%install
%make_install DESTDIR=%{buildroot} INSTALLOWNER= bindir=%{_bindir} \
  defaultdocdir=%{_defaultdocdir} name=%{name} mandir=%{_mandir} \
  unitdir=%{_unitdir} presetdir=%{_presetdir} sysconfdir=%{_sysconfdir}

%files
%defattr(-,root,root)
%dir %{_defaultdocdir}/%{name}
%doc CONTRIBUTORS.txt README.md 
%dir %{_defaultdocdir}/%{name}/examples
%doc %{_defaultdocdir}/%{name}/examples/*
%license %{_defaultdocdir}/%{name}/COPYING
%{_bindir}/*
%dir %{_sysconfdir}/bash_completion.d
%{_sysconfdir}/bash_completion.d/vdostats

%files help
%defattr(-,root,root)
%{_mandir}/man8/*

%changelog
* Tue Feb 27 2024 liyanan <liyanan61@h-partners.com> - 8.2.2.2-1
- Upgrade to 8.2.2.2

* Wed Aug 16 2023 huxintao <806908118@qq.com> - 6.2.9.7-1
- Upgrade to 6.2.9.7

* Fri Mar 17 2023 laokz <zhangkai@iscas.ac.cn> - 6.2.6.14-3
- Add RISC-V support (Patch by YukariChiba<i@0x7f.cc>)
- Source of fence commands: RISC-V ISA Spec from riscv.org
- Remove -Wcast-align flag, since it causes error in RISC-V gcc
- Remove error-prone patch isolation macro

* Tue Mar 7 2023 doupengda <doupengda@loongson.cn> - 6.2.6.14-2
- Add loongarch64 support

* Fri May 20 2022 houyingchao <houyingchao@h-partners.com> - 6.2.6.14-1
- Upgrade to 6.2.6.14

* Fri Jun  5 2020 leiju<leiju4@huawei.com> - 6.2.0.298-13
- Fix null string and misaligned pointers

* Tue Feb 18 2019 cangyi<cangyi@huawei.com> - 6.2.0.298-12
- Package init
